<template>
  <div>
    <div class="">
      <img
        class="w-full aspect-video rounded-lg object-cover shadow-md"
        :src="property.imageURL"
        :alt="property.imageAlt"
      />
    </div>
    <div class="relative px-4 -mt-16">
      <div class="bg-white p-6 shadow-lg rounded-lg">
        <div class="flex items-baseline">
          <span class="font-semibold uppercase bg-teal-200 text-teal-700 rounded-full text-xs px-2 py-0 inline-block">new</span>
          <div class="ml-1 text-xs text-slate-600 uppercase font-semibold tracking-tight ">
            {{ property.beds }} beds &bull; {{ property.baths }} baths
          </div>
        </div>
        <h4 class="mt-1 font-semibold text-lg leading-tight truncate">{{ property.title }}</h4>
        <div class="mt-1">
          {{ property.formatedPrice }} 
          <span class="text-slate-400">/ wk</span>
        </div>
        <div class="mt-2 flex items-center">
          <svg v-for="i in 5" :key="i" :class="i <= property.rating ? 'text-teal-500' : 'text-slate-300'" class="pr-1 h-4 w-4 fill-current" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 47.94 47.94" style="enable-background:new 0 0 47.94 47.94" xml:space="preserve"><path  d="m26.285 2.486 5.407 10.956a2.58 2.58 0 0 0 1.944 1.412l12.091 1.757c2.118.308 2.963 2.91 1.431 4.403l-8.749 8.528a2.582 2.582 0 0 0-.742 2.285l2.065 12.042c.362 2.109-1.852 3.717-3.746 2.722l-10.814-5.685a2.585 2.585 0 0 0-2.403 0l-10.814 5.685c-1.894.996-4.108-.613-3.746-2.722l2.065-12.042a2.582 2.582 0 0 0-.742-2.285L.783 21.014c-1.532-1.494-.687-4.096 1.431-4.403l12.091-1.757a2.58 2.58 0 0 0 1.944-1.412l5.407-10.956c.946-1.919 3.682-1.919 4.629 0z"/></svg> 
          <span class="text-slate-600 text-sm ml-2">{{ property.reviewCount }} reviews</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["property"],
};
</script>